%define version 2.5.1
%define rel 1
%define major 0
%define release %mkrel %rel
%define libname %mklibname assuan %{major}
%define develname %mklibname assuan -d 

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	%{version}
Release:	%{release}
License:	LGPLv3
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libpth-devel
BuildRequires:	libgpg-error-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%name < %version

%description 
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.


%package -n %{libname}
Summary:	Library files for assuan
Group:		Development/Libraries
Provides:       %{libname} = %{version}-%{release}

%description -n %{libname}
Library files for assuan

%package -n %{develname}
Summary:	Header files and static library for assuan
Group:		Development/Libraries
Provides:	libassuan-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires(post):  info-install
Requires(preun): info-install
Obsoletes: %{libname}0-devel < 1.0.4
Obsoletes: %{libname}0-static-devel < 1.0.4
Obsoletes: libassuan-devel < %{version}

%description -n %{develname}
Header files and static library for assuan.

%prep
%setup -q

%build
%configure2_5x \
	--with-pic \
	--enable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/libassuan-config

#we don't want this
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -n %{develname}
%_install_info assuan.info

%preun -n %{develname}
%_remove_install_info assuan.info


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libassuan.so.%{major}*
%{_libdir}/libassuan.so.%{major}

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog AUTHORS NEWS README
%multiarch %{multiarch_bindir}/libassuan-config
%{_bindir}/libassuan-config
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4
%{_infodir}/*.info*
%{_libdir}/libassuan.so
%{_libdir}/libassuan.a

%changelog
* Mon Dec 18 2017 ghostbunny <ghostbunny at gmx dot de> 2.5.1-1pclos2017
- 2.5.1

* Fri Nov 24 2017 ghostbunny <ghostbunny at gmx dot de> 2.4.4-1pclos2017
- 2.4.4

* Fri Aug 19 2016 ghostbunny <ghostbunny at gmx dot de> 2.4.3-1pclos2016
- 2.4.3

* Tue Jan 05 2016 bb <bb> 2.4.2-1pclos2016
- update

* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 2.4.0-1pclos2015
- 2.4.0

* Tue May 12 2015 ghostbunny <ghostbunny at gmx dot de> 2.2.1-1pclos2015
- 2.2.1

